وردپرس: شخصی سازی متای Generator و ورود متن دلخواه!
کد تخفیف در جریان devme1397 %10 تا آخر پاییز97

متای Generator در وردپرس حاوی نسخه وردپرس است. با این متا، شما به دیگران اجازه می دهید با مشاهده سورس (Source) سایتتان، بفهمند شما از چه اسکریپت مدیریت محتوا و چه نسخه ای از آن در حال استفاده هستید.

با این که اگر فردی بخواهد به سایتتان نفوذ کند، باید تمامی موارد را آزمایش کند، اما دانستن نسخه ای از وردپرس که در حال استفاده هستید می تواند بخشی از زحمات فرد هکر را کاهش دهد! وردپرس به مرور زمان امنیت خود را افزایش می دهد و باگ های قبلی خود را رفع می کند، بنابراین در نسخه های جدیدتر، افراد هکر می بایست روش های دیگری برای نفوذ به سایت به کار ببندند. اگر یک هکر دقیقا بداند که از چه نسخه ای استفاده می کنید، به سرعت روش هایی که برای نفوذ در نسخه فعلی وردپرس شما لازم است را به کار خواهد بست.

هر چند روش های پیچیده ای برای یافتن نسخه وردپرس شما وجود دارد اما مخفی کردن آن بهتر از نمایش آن است. ولی با این وجود همواره فرض بر این خواهد بود که شما از آخرین نسخه موجود برای وردپرس استفاده می کنید! در هر صورت مخفی کردن یا شخصی سازی متای Generator کاری است که تنها باعث سردرگم شدن فرد هکر خواهد شد! برای مثال در صورتی که از آخرین نسخه استفاده می کنید، توسط این ترفند می توانید به دیگران اعلام کنید که از نسخه های قبلی استفاده می کنید!

 

برای انجام چنین کاری، کد زیر را در فایل functions.php قالبتان قرار داده و آن را شخصی سازی کنید.

function devme_change_generators() { 
  return '<meta name="generator" content="WordPress 2.0" />'; 
}
add_filter( 'the_generator', 'devme_change_generators' );

نکته: نسخه وردپرس یا نام آن را در خط 2 کد بالا تغییر دهید.

هنوز دیدگاهی ارسال نشده! نظر شما چیست؟

دیدگاه شما درباره این صفحه چیست؟